# ParseError

(PHP 7)

## Introduction

ParseError is thrown when an error occurs while parsing PHP code, such as when eval() is called.

> Note: ParseError extends CompileError as of PHP 7.3.0. Formerly, it extended Error.

## Class synopsis

ParseError extends CompileError {
/* Inherited properties */
protected string $message ;
protected int $code ;
protected string $file ;
protected int $line ;
/* Inherited methods */
final public Error::getMessage ( void ) : string
final public Error::getPrevious ( void ) : Throwable
final public Error::getCode ( void ) : mixed
final public Error::getFile ( void ) : string
final public Error::getLine ( void ) : int
final public Error::getTrace ( void ) : array
final public Error::getTraceAsString ( void ) : string
public Error::__toString ( void ) : string
final private Error::__clone ( void ) : void
}